%define	major		0
%define	package_name	gda
%define	lib_name	%mklibname %{package_name} %{major}

Summary:	GNU Data Access
Name: 		libgda
Version:	0.2.96
Release: 	%mkrel 18
License: 	GPL/LGPL
Group: 		Databases
Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/gnome-db/%{name}-%{version}.tar.bz2
Patch1:		libgda-0.2.96-c++fixes.patch
Patch2:		libgda-0.2.96-lib64.patch
Patch3:		libgda-0.2.96-no-usrlib.patch
# (fc) 0.2.96-7mdk use DTD compliant OMF file
Patch4:		libgda-0.2.96-omffix.patch
# (fc) 0.2.96-10mdk fix compilation for gcc 3.3
Patch5:		libgda-0.2.96-gcc33.patch
Patch6:		libgda-fix-compile-gcc-3.4.patch
# (gb) 0.2.96-14mdk stick to libtool 1.4, with fixes
Patch7:		libgda-0.2.96-libtool.patch
Requires(post):		scrollkeeper >= 0.3
Requires(postun):		scrollkeeper >= 0.3
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	MySQL-devel tcp_wrappers-devel
BuildRequires:	bison
BuildRequires:	bonobo-devel
BuildRequires:	GConf-devel 
BuildRequires:	gdbm-devel
BuildRequires:	libxslt-devel
BuildRequires:	popt-devel
BuildRequires:	postgresql-devel
BuildRequires:	scrollkeeper >= 0.3
BuildRequires:	autoconf2.5
BuildRequires:	gnome-common
%if %{mdkversion} >= 1010
BuildRequires:	automake1.4
%endif
URL: 		http://www.gnome.org/projects/gnome-db/

%description
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n	%{package_name}
Summary:	GNU Data Access 
Group:		Databases

%description -n	%{package_name}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n	%{lib_name}
Summary:	GNU Data Access 
Group:		Databases
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{name}

%description -n	%{lib_name}
GNU Data Access is an attempt to provide uniform access to
different kinds of data sources (databases, information
servers, mail spools, etc).
It is a complete architecture that provides all you need to
access your data.

libgda was part of the GNOME-DB project
(http://www.gnome.org/projects/gnome-db), but has been
separated from it to allow non-GNOME applications to be
developed based on it.

%package -n	%{lib_name}-devel
Summary:	GNU Data Access Development
Group:		Development/Databases
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel

%description -n	%{lib_name}-devel
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

%package -n	%{package_name}-postgres%{major}
Summary:	GDA PostgreSQL Provider
Group:		Databases
Requires:	%{name} = %{version}-%{release}
Provides:	%{package_name}-postgres = %{version}-%{release}
Obsoletes:	%{package_name}-postgres

%description -n	%{package_name}-postgres%{major}
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA PostgreSQL provider

%package -n	%{package_name}-mysql%{major}
Summary:	GDA MySQL Provider
Group:		Databases
Requires:	%{name} = %{version}-%{release}
Provides:	%{package_name}-mysql = %{version}-%{release}
Obsoletes:	%{package_name}-mysql

%description -n	%{package_name}-mysql%{major}
GNU Data Access is an attempt to provide uniform access to
 different kinds of data sources (databases, information
 servers, mail spools, etc).
 It is a complete architecture that provides all you need to
 access your data.
 .
 libgda was part of the GNOME-DB project
 (http://www.gnome.org/projects/gnome-db), but has been
 separated from it to allow non-GNOME applications to be
 developed based on it.

 This package includes the GDA MySQL provider


%prep
%setup -q
%patch1 -p 1 -b .c++fixes
%patch2 -p1 -b .lib64
%patch3 -p1 -b .no-usrlib
%patch4 -p1 -b .omffix
%patch5 -p1 -b .gcc33
%patch6 -p1 -b .fix_compile_gcc_3_4
%patch7 -p1 -b .libtool

# Patch2 requires new configure script anyway
autoconf

%build

%configure --with-postgres=yes --with-mysql=yes

#doesn't support parallel compilation
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std
cp doc/C/libgda.sgml $RPM_BUILD_ROOT%{_datadir}/gnome/help/libgda/C/
cp doc/es/libgda.sgml $RPM_BUILD_ROOT%{_datadir}/gnome/help/libgda/es/
cp doc/pt_BR/libgda.sgml $RPM_BUILD_ROOT%{_datadir}/gnome/help/libgda/pt_BR/

%{find_lang} %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig

%post -n %{package_name}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
							  
%postun -n %{lib_name} -p /sbin/ldconfig

%postun -n %{package_name}
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi

%post -n gda-postgres%{major} -p /sbin/ldconfig
							  
%postun -n gda-postgres%{major} -p /sbin/ldconfig
							  
%post -n gda-mysql%{major} -p /sbin/ldconfig
							  
%postun -n gda-mysql%{major} -p /sbin/ldconfig
							  
%files -f %{name}.lang -n %{package_name}
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/gda-test
%{_bindir}/gda-run
%{_bindir}/gda-default-srv
%{_datadir}/gda
%{_datadir}/oaf/GNOME_GDA_Provider_Default.oaf
%{_datadir}/idl/*
%{_datadir}/omf/*

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/libgda-common*.so.*
%{_libdir}/libgda-client*.so.*
%{_libdir}/libgda-server*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)

%{_bindir}/gda-build*
%{_bindir}/gda-config
%{_libdir}/lib*.so
%{_libdir}/libgda-clientcpp.*a
%{_libdir}/libgda-common.*a
%{_libdir}/libgda-client.*a
%{_libdir}/libgda-server.*a
%{_includedir}/libgda-%{version}
%{_datadir}/gnome/html/*

%files -n gda-postgres%{major}
%defattr(-, root, root)

%{_bindir}/gda-postgres-srv
%{_datadir}/oaf/GNOME_GDA_Provider_Postgres.*

%files -n gda-mysql%{major}
%defattr(-, root, root)

%{_bindir}/gda-mysql-srv
%{_datadir}/oaf/GNOME_GDA_Provider_MySQL.*



%changelog
* Fri Sep 07 2007 Frederic Crozat <fcrozat@mandriva.com> 0.2.96-18mdv2008.0
+ Revision: 81741
- Fix prereq
- Rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - use %%mkrel


* Thu Nov 17 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.96-16mdk
- rebuilt against openssl-0.9.8a

* Thu Jun 16 2005 Frederic Lepied <flepied@mandriva.com> 0.2.96-15mdk
- rebuild for new libpq

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-14mdk
- stick to libtool 1.4, with fixes

* Thu Nov 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.2.96-13mdk
- fix buildrequires

* Mon Sep 20 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-12mdk
- use automake 1.4

* Thu Jun 17 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.96-11mdk
- Rebuild

* Thu Jul 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.2.96-10mdk
- Fix buildrequires
- Patch5: fix compilation with gcc 3.3
- mklibnamification

* Tue Mar 04 2003 Jean-Michel Dault <jmdault@mandrakesoft.com> 0.2.96-9mdk
- rebuild package with libpq.so.3, since the package hasn't been rebuilt
  since August.

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-8mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Tue Aug 06 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-7mdk
- Patch4: use DTD compliant OMF file

* Fri Aug 02 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-6mdk
- Update patch3 to fix typo in gda-config

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-5mdk
- Automated rebuild with gcc3.2

* Mon Jul 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-4mdk
- Patch3: MDK config is to have prefix=/usr. As such, we lead to
  -L/usr/lib in gda-config which generally is wrong on lib64
  architectures. Simply nuke explicit reference to -L/usr/lib as this
  is a system search path already.

* Mon Jul 22 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-3mdk
- Remove Patch2 (64bit) since Merged upstream
- Patch2: Look for PostgreSQL and MySQL libraries in the right directories

* Fri Apr 19 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.2.96-2mdk
- Patch1: ISO C++ fixes, aka fix build with gcc3+:
  - Don't assume namespace std scope is global scope
  - Don't redefine default arguments

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.96-1mdk
- Release 0.2.96

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.95-1mdk
- release 0.2.95

* Mon Dec 03 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-4mdk
- Fix reference directory in .la files
- Use makeinstall_std macro

* Mon Dec 03 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-3mdk
- fix BuildRequires

* Sun Nov 04 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.93-2mdk
- fix BuildRequires

* Tue Oct 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.93-1mdk
- Release 0.2.93
- Remove patch 1 (no longer needed)

* Mon Oct 01 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.91-1mdk
- Release 0.2.91
- Add support for scrollkeeper

* Sun Jul 01 2001 Stefan van der Eijk <stefan@eijk.nu> 0.2.10-2mdk
- BuildRequires: gdbm-devel
- BuildRequires: perl-devel
- BuildRequires: popt-devel

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.10-1mdk
- Release 0.2.10

* Tue Jun 26 2001 Matthias Badaire <mbadaire@mandrakesoft.com> 0.2.9-2mdk
- fix ugly casting in lemon : should work for all 64bit platform

* Tue Jun 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.9-1mdk
- new version for gnumeric 0.65 (R. Chaillat)
- Remove patch0

* Mon Mar 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Disable checking of glib2 (patch0)

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3

* Tue Feb 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- First mandrake package
- Libified

* Sat Sep 02 2000 Rodrigo Moya <rodrigo@linuxave.net>
- Initial spec imported from old GNOME-DB spec

